<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [BoxModel](./puppeteer.boxmodel.md)

## BoxModel interface

<b>Signature:</b>

```typescript
export interface BoxModel 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [border](./puppeteer.boxmodel.border.md) | Array&lt;{ x: number; y: number; }&gt; |  |
|  [content](./puppeteer.boxmodel.content.md) | Array&lt;{ x: number; y: number; }&gt; |  |
|  [height](./puppeteer.boxmodel.height.md) | number |  |
|  [margin](./puppeteer.boxmodel.margin.md) | Array&lt;{ x: number; y: number; }&gt; |  |
|  [padding](./puppeteer.boxmodel.padding.md) | Array&lt;{ x: number; y: number; }&gt; |  |
|  [width](./puppeteer.boxmodel.width.md) | number |  |

